commit: d52c5d9e88cdff18da6b49194ea81a4c7fd1ae51
Author: Ulrich Müller <ulm <AT> gentoo <DOT> org>
AuthorDate: Thu Oct 27 17:38:48 2016 +0000
Commit: Ulrich Müller <ulm <AT> gentoo <DOT> org>
CommitDate: Thu Oct 27 17:38:48 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d52c5d9e
dev-util/cscope: Add ncurses:0 slot dependency.
Update EAPI to 6.
Bug: 598164
Package-Manager: portage-2.3.2
RepoMan-Options: --force
.../cscope/{cscope-15.8a.ebuild => cscope-15.8a-r1.ebuild} | 10 ++++++----
1 file changed, 6 insertions(+), 4 deletions(-)
diff --git a/dev-util/cscope/cscope-15.8a.ebuild
b/dev-util/cscope/cscope-15.8a-r1.ebuild
similarity index 86%
rename from dev-util/cscope/cscope-15.8a.ebuild
rename to dev-util/cscope/cscope-15.8a-r1.ebuild
index 208407b..407eada 100644
--- a/dev-util/cscope/cscope-15.8a.ebuild
+++ b/dev-util/cscope/cscope-15.8a-r1.ebuild
@@ -2,9 +2,9 @@
# Distributed under the terms of the GNU General Public License v2
# $Id$
-EAPI=4
+EAPI=6
-inherit autotools elisp-common eutils toolchain-funcs
+inherit autotools elisp-common toolchain-funcs
DESCRIPTION="Interactively examine a C program"
HOMEPAGE="http://cscope.sourceforge.net/"
@@ -15,7 +15,7 @@ SLOT="0"
KEYWORDS="alpha amd64 arm ~arm64 hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc
x86 ~amd64-fbsd ~x86-fbsd"
IUSE="emacs"
-RDEPEND=">=sys-libs/ncurses-5.2
+RDEPEND=">=sys-libs/ncurses-5.2:0
emacs? ( virtual/emacs )"
DEPEND="${RDEPEND}
sys-devel/flex
@@ -25,7 +25,9 @@ DEPEND="${RDEPEND}
SITEFILE="50${PN}-gentoo.el"
src_prepare() {
- epatch "${FILESDIR}/${PN}-15.7a-ocs-sysdir.patch" #269305
+ eapply "${FILESDIR}/${PN}-15.7a-ocs-sysdir.patch" #269305
+ eapply_user
+ mv configure.{in,ac} || die
eautoreconf # prevent maintainer mode later on
}